<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC
@author 		christian.rodriguez
@description  	Página asociada al caso de uso CU-SA-AC-048 Crear Avalúo Asociado a la Radicación
@cu  			CU-SA-AC-048
@ManagedBean 	CreacionAvaluoAsociadoRadicacionMB
@version  		2.0

@modified  pedro.garcia  30-08-2012  uso de componente para mostrar el encabezado de la Solicitud
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Crear Avalúo Asociado a la Radicación::.
    </ui:define>

    <ui:define name="content">

        <p:messages id="msgcrearAvaluoRadicacion" showDetail="false"
                    globalOnly="false" />

        <p:spacer height="10" />

        <h:form id="crearAvaluoRadicacionForm">

            <ui:include src="/avaluos/encabezadoInfoSolicitud.xhtml">
                <ui:param name="currentSolicitudParam"
                          value="#{crearAvaluoRadicacion.solicitudSeleccionada}" />
                <ui:param name="currentSolicitanteSolicitudParam"
                          value="#{crearAvaluoRadicacion.solicitante}" />
                <ui:param name="territorialUsuarioParam"
                          value="#{crearAvaluoRadicacion.territorialUsuario}" />
            </ui:include>

            <p:spacer height="10" />

            <p:fieldset>
                <legend>
                    <h:outputLabel value="Avalúos asociados a la solicitud"
                                   styleClass="legendTitle" />
                </legend>

                <p:spacer height="10" width="0" />

                <p:dataTable id="avaluosCreadosDT" widgetVar="avaluosCreadosWV"
                             value="#{crearAvaluoRadicacion.avaluosSolicitud}" var="avaluo"
                             selection="#{crearAvaluoRadicacion.avaluosSeleccionados}"
                             selectionMode="multiple" rowKey="#{avaluo.id}" paginator="true"
                             rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             paginatorPosition="bottom" rowsPerPageTemplate="10,20,50"
                             emptyMessage="No hay avalúos creados para la solicitud seleccionada">

                    <p:column headerText="Opciones">
                        <p:commandButton icon="ui-icon-pencil"
                                         title="Asociar o desasociar predios"
                                         action="#{crearAvaluoRadicacion.cargarVentanaAsocDeasocPredio}"
                                         update=":adminAvaluoForm,
                                         :adminAvaluoForm:crearSecRadicadoBtn"
                                         onstart="statusDialog2.show(); "
                                         oncomplete="adminAvaluoWV.show(); statusDialog2.hide();"
                                         disabled="#{not empty avaluo.tramite.procesoInstanciaId}">
                            <f:setPropertyActionListener value="#{avaluo}"
                                                         target="#{crearAvaluoRadicacion.avaluoSeleccionado}" />
                        </p:commandButton>
                    </p:column>

                    <p:column headerText="Sec. Radicado"
                              filterBy="#{avaluo.secRadicado}" sortBy="#{avaluo.secRadicado}">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{avaluo.secRadicado}" />
                    </p:column>

                    <p:column headerText="Tipo avalúo">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{avaluo.tipoAvaluo}" id="AvaluoTipoAvaluoV-1">
                            <f:converter converterId="converterCB" for="AvaluoTipoAvaluoV-1" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Departamento">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{crearAvaluoRadicacion.solicitante.direccionDepartamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{crearAvaluoRadicacion.solicitante.direccionMunicipio.nombre}" />
                    </p:column>

                    <p:column headerText="Contacto">
                        <p:dataList value="#{avaluo.avaluoPredios}" var="predio"
                                    itemType="circle">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{predio.contacto.nombreCompleto}" />
                        </p:dataList>
                    </p:column>

                    <p:column headerText="Teléfono">
                        <p:dataList value="#{avaluo.avaluoPredios}" var="predio"
                                    itemType="circle">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{not empty predio.contacto.telefonoPrincipal ? 
                                                   predio.contacto.telefonoPrincipal : 
                                                   'No disponible'}" />
                        </p:dataList>
                    </p:column>

                    <p:column headerText="Celular">
                        <p:dataList value="#{avaluo.avaluoPredios}" var="predio"
                                    itemType="circle">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{predio.contacto.telefonoCelular ? 
                                                   'predio.contacto.telefonoCelular' : 
                                                   'No disponible'}" />
                        </p:dataList>
                    </p:column>

                    <p:column headerText="Correo electrónico">
                        <p:dataList value="#{avaluo.avaluoPredios}" var="predio"
                                    itemType="circle">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{not empty predio.contacto.correoElectronico ? 
                                                   predio.contacto.correoElectronico : 
                                                   'No disponible'}" />
                        </p:dataList>
                    </p:column>

                </p:dataTable>

                <p:spacer height="10" />

                <h:panelGrid columns="7" cellspacing="7"
                             id="panelBotonesCrearSecRad">
                    <p:commandButton value="Crear Sec. Radicado"
                                     icon="ui-icon-document"
                                     action="#{crearAvaluoRadicacion.cargarVentanaCrearSecRadicado}"
                                     update=":msgcrearAvaluoRadicacion,
                                     :adminAvaluoForm, 
                                     :adminAvaluoForm:crearSecRadicadoBtn"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); 
                                     handleCompleteSIC(xhr, status, args, adminAvaluoWV, true);" />

                    <p:commandButton value="Avanzar Sec. Radicado"
                                     icon="ui-icon-circle-arrow-e"
                                     onclick="alert('No se ha integrado al BPM');" />

                    <!--  OJO: reemplazar por este botón cuando haya integraciópn con BPM                  
                                        < p:commandButton value="Avanzar Sec. Radicado"
                                            icon="ui-icon-circle-arrow-e"
                                            action=" # {crearAvaluoRadicacion.avanzarAvaluos}"
                                            update=":msgcrearAvaluoRadicacion,
                                                    :crearAvaluoRadicacionForm"
                                            onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                            onclick="if(avaluosCreadosWV.selection.length == 0) {
                                                     alert('No se ha seleccionado ningún Sec.Radicado para avanzar, intente nuevamente.');
                                                     return false;}"
                                            disabled=" # {empty crearAvaluoRadicacion.avaluosSolicitud}" />
                    -->                    

                    <p:commandButton value="Eliminar" icon="ui-icon-trash"
                                     onstart="statusDialog2.show();"
                                     onclick="if (avaluosCreadosWV.selection.length == 0) {
                                                 alert('No se ha seleccionado ningún Sec.Radicado a eliminar, intente nuevamente.');
                                                 return false;
                                             }"
                                     oncomplete="statusDialog2.hide(); 
                                     confirmacionEliminarAvaluosWV.show();"
                                     disabled="#{crearAvaluoRadicacion.banderaSolicitudDeRevisionImpugnacion}" />
                    <p:commandButton value="Administrar predios"
                                     icon="ui-icon-plusthick"
                                     action="#{crearAvaluoRadicacion.cargarVentanaAdminPredios}"
                                     update=":informacionPrediosForm" onstart="statusDialog2.show(); "
                                     oncomplete=" adminPrediosWV.show(); statusDialog2.hide();"
                                     disabled="#{empty crearAvaluoRadicacion.avaluosSolicitud or 
                                                 crearAvaluoRadicacion.banderaSolicitudDeRevisionImpugnacion}" />
                    <p:commandButton value="Finalizar solicitud" icon="ui-icon-disk"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                     disabled="#{empty crearAvaluoRadicacion.avaluosSolicitud or true}" />
                </h:panelGrid>

            </p:fieldset>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{crearAvaluoRadicacion.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>

        <!-- ...................... dialogs  ................................... -->

        <p:dialog widgetVar="adminAvaluoWV" header="Administrar avalúo"
                  modal="true" appendToBody="true" closable="true" dynamic="true"
                  resizable="true" minimizable="false" width="900" height="600">
            <p:ajax listener="#{crearAvaluoRadicacion.onCloseAdminAvaluoDialog}" />
            <ui:include src="administrarAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="adminPrediosWV" header="Administrar predios"
                  modal="true" appendToBody="true" closable="true" dynamic="true"
                  resizable="true" minimizable="false" width="900" height="600">
            <ui:include src="/avaluos/ingresoSolicitud/administrarPrediosAvaluos.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="ingresarModificarPrediosAvaluosWV"
                  header="Adicionar/Modificar Predio" modal="true" appendToBody="true"
                  closable="true" dynamic="true" resizable="true" minimizable="false"
                  width="900">
            <ui:include
                src="/avaluos/ingresoSolicitud/ingresarModificarPrediosAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="administrarContactosWV"
                  header="Asociar y desasociar contacto de predios" modal="true"
                  appendToBody="true" closable="true" dynamic="true" resizable="true"
                  minimizable="false" width="900">
            <ui:include
                src="/avaluos/ingresoSolicitud/administrarInfoContactoDePredios.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="cargarPrediosArchivoWV"
                  header="Cargar predios de tramite de avalúo desde archivo"
                  modal="true" appendToBody="true" closable="true" dynamic="true"
                  resizable="true" minimizable="false" width="980" height="600">
            <p:ajax update=":informacionPrediosForm"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                    listener="#{adminPrediosAvaluos.cargarPrediosAsociadosASolicitud}" />
            <ui:include
                src="/avaluos/ingresoSolicitud/cargarPrediosDeAvaluoDesdeArchivo.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 54 .................. -->
        <p:dialog header="Adicionar solicitante"
                  widgetVar="addSolicitanteDialogWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="988">
            <p:panel header="Datos de la entidad">
                <ui:include src="../util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                    <ui:param name="crearContratoWVParam"
                              value="administrarContratoInteradministrativoWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <ui:include src="/util/visorGeografico.xhtml" />

        <!-- ...................... Composite Components  ................................... -->

        <misc:ultimateConfirmDialogCC id="confirmacionBorradoPredios"
                                      confirmMessage="¿Está seguro de eliminar los predios seleccionados?"
                                      confirmUpdateOnYes=":informacionPrediosForm"
                                      confirmDialogWV="confirmacionEliminarPrediosWV"
                                      voidActionOnYes="#{adminPrediosAvaluos.eliminarPredios}" width="330" 
                                      useStringActionOnYes="false" actionOnNoIsClose="true" useStringActionOnNo="false"/>

        <misc:ultimateConfirmDialogCC id="confirmacionBorradoContacto"
                                      confirmMessage="¿Está seguro de que desea eliminar el contacto?"
                                      confirmUpdateOnYes=":informacionPrediosForm,
                                      :informacionContactosForm,
                                      :msgAdministrarContactos"
                                      confirmDialogWV="confirmacionEliminarContactoWV"
                                      voidActionOnYes="#{adminInfoContactoPredios.eliminarContacto}"
                                      width="330" 
                                      useStringActionOnYes="false" actionOnNoIsClose="true" useStringActionOnNo="false"/>

        <misc:ultimateConfirmDialogCC id="confirmacionEliminacionAvaluos"
                                      confirmMessage="¿Esta Seguro de Eliminar el ó los avalúos?"
                                      confirmUpdateOnYes=":msgcrearAvaluoRadicacion,
                                      :crearAvaluoRadicacionForm"
                                      confirmDialogWV="confirmacionEliminarAvaluosWV"
                                      voidActionOnYes="#{crearAvaluoRadicacion.eliminarSecRadicado}"
                                      width="300" 
                                      useStringActionOnYes="false" actionOnNoIsClose="true" useStringActionOnNo="false"/>

        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="infoPredialWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

    </ui:define>

</ui:composition>

